Skip to main content
GET
/
shared-knowledge
/
stats
Error
A valid request URL is required to generate request examples
{
  "search": {
    "total": 123,
    "zero_result_count": 123,
    "zero_result_rate": 123,
    "avg_duration_ms": 123,
    "by_requester_type": [
      {
        "requester_type": "<string>",
        "total": 123,
        "zero_result_count": 123,
        "zero_result_rate": 123
      }
    ]
  },
  "ingest": {
    "total_jobs": 123,
    "completed": 123,
    "failed": 123,
    "running": 123,
    "pending": 123,
    "error_rate": 123,
    "avg_processing_ms": 123
  },
  "sources": {
    "by_status": {},
    "by_type": {}
  },
  "corpus": {
    "total_collections": 123,
    "total_sources": 123,
    "total_chunks": 123,
    "total_tokens": 123
  },
  "since": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

since
string<date-time>

ISO timestamp to scope time-based stats (search, ingest)

Response

Aggregate stats

Aggregate-only quality and operations metrics. No raw query text, no requester identifiers.

ingest
object
sources
object
corpus
object
since
string | null